- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Fields

# xcb_glx_create_new_context_request_t Struct Reference
[XCB Glx API]

xcb_glx_create_new_context_request_t More...

`#include <glx.h>`

## Data Fields
uint8_t | major_opcode
uint8_t | minor_opcode
uint16_t | length
xcb_glx_context_t | context
uint32_t | fbconfig
uint32_t | screen
uint32_t | render_type
uint32_t | share_list
uint8_t | is_direct
uint8_t | reserved1
uint16_t | reserved2

## Detailed Description

xcb_glx_create_new_context_request_t

## Field Documentation

uint8_t xcb_glx_create_new_context_request_t::major_opcode

uint8_t xcb_glx_create_new_context_request_t::minor_opcode

uint16_t xcb_glx_create_new_context_request_t::length

xcb_glx_context_t xcb_glx_create_new_context_request_t::context

uint32_t xcb_glx_create_new_context_request_t::fbconfig

uint32_t xcb_glx_create_new_context_request_t::screen

uint32_t xcb_glx_create_new_context_request_t::render_type

uint32_t xcb_glx_create_new_context_request_t::share_list

uint8_t xcb_glx_create_new_context_request_t::is_direct

uint8_t xcb_glx_create_new_context_request_t::reserved1

uint16_t xcb_glx_create_new_context_request_t::reserved2

The documentation for this struct was generated from the following file:

- glx.h